rebuild.sh: Fix script is ccache is not installed.

The script would exit immediately if ccache is not installed
because 'which ccache' returns an error in this case. Fix this.
diff --git a/scripts/rebuild.sh b/scripts/rebuild.sh
index 729429f..84a7546 100755
--- a/scripts/rebuild.sh
+++ b/scripts/rebuild.sh
@@ -86,7 +86,7 @@
 
 # Do we have ccache ?
 if [ -z "$OPT_NO_CCACHE" ]; then
-    CCACHE=$(which ccache 2>/dev/null)
+    CCACHE=$(which ccache 2>/dev/null || true)
     if [ "$CCACHE" ]; then
         log "Found ccache as: $CCACHE"
     else